> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysoma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get secret by key

> Retrieve a secret by its key name



## OpenAPI

````yaml api-reference/openapi.json get /api/secret/v1/key/{key}
openapi: 3.1.0
info:
  title: soma
  version: v1
servers: []
security: []
tags:
  - name: task
    description: >-
      Task management endpoints for creating, listing, and managing tasks and
      their messages
  - name: secret
    description: Secret management endpoints for storing and retrieving encrypted secrets
  - name: encryption
    description: >-
      Encryption key management endpoints for envelope keys, data encryption
      keys, and aliases
  - name: bridge
    description: >-
      Bridge endpoints for managing providers, credentials, functions, and MCP
      protocol communication
  - name: _internal
    description: >-
      Internal endpoints for health checks, runtime configuration, and SDK code
      generation
  - name: a2a
    description: >-
      Agent-to-agent communication endpoints for agent cards, definitions, and
      JSON-RPC requests
  - name: v1
    description: API version v1 endpoints
paths:
  /api/secret/v1/key/{key}:
    get:
      tags:
        - secret
        - v1
      summary: Get secret by key
      description: Retrieve a secret by its key name
      operationId: get-secret-by-key
      parameters:
        - name: key
          in: path
          description: Secret key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Get secret by key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Secret'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Secret:
      type: object
      required:
        - id
        - key
        - encrypted_secret
        - dek_alias
        - created_at
        - updated_at
      properties:
        created_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        dek_alias:
          type: string
        encrypted_secret:
          type: string
        id:
          $ref: '#/components/schemas/WrappedUuidV4'
        key:
          type: string
        updated_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
    Error:
      type: object
      required:
        - message
      properties:
        data: {}
        message:
          type: string
    WrappedChronoDateTime:
      type: string
      format: date-time
    WrappedUuidV4:
      type: string
      format: uuid

````